import 'dart:math';

class AppGenerator {
  static String generateBusinessCode() {
    const chars = 'ABCDEFGHJKLMNPQRSTUVWXYZ23456789';
    final random = Random.secure();

    final String randomPart = List.generate(
      6,
      (index) => chars[random.nextInt(chars.length)],
    ).join();

    final int ms = DateTime.now().millisecondsSinceEpoch;
    final String timePart =
        chars[ms % chars.length] + chars[(ms ~/ chars.length) % chars.length];

    return randomPart + timePart;
  }
}
